Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.codenorm
Class Normalizer

    java.lang.Object
      net.sf.saxon.codenorm.Normalizer

public class Normalizer
extends java.lang.Object

Implements Unicode Normalization Forms C, D, KC, KD.
Copyright (c) 1991-2005 Unicode, Inc. For terms of use, see http://www.unicode.org/terms_of_use.html For documentation, see UAX#15.
The Unicode Consortium makes no expressed or implied warranty of any kind, and assumes no liability for errors or omissions. No liability is assumed for incidental and consequential damages in connection with or arising out of the use of the information here.

Field Summary
`static byte` | `C` Normalization Form Selector
`static byte` | `D` Normalization Form Selector
`static byte` | `KC` Normalization Form Selector
`static byte` | `KD` Normalization Form Selector

Constructor Summary
`Normalizer(byte form)` Create a normalizer for a given form.

Method Summary
`java.lang.CharSequence` | `normalize(java.lang.CharSequence source)` Normalizes text according to the chosen form
`java.lang.StringBuffer` | `normalize(java.lang.CharSequence source, java.lang.StringBuffer target)` Normalizes text according to the chosen form, replacing contents of the target buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### D

    public static final byte D

  Normalization Form Selector

  See Also:
    Constant Field Values

### C

    public static final byte C

  Normalization Form Selector

  See Also:
    Constant Field Values

### KD

    public static final byte KD

  Normalization Form Selector

  See Also:
    Constant Field Values

### KC

    public static final byte KC

  Normalization Form Selector

  See Also:
    Constant Field Values

Constructor Detail

### Normalizer

    public Normalizer(byte form)

  Create a normalizer for a given form.

Method Detail

### normalize

    public java.lang.StringBuffer normalize(java.lang.CharSequence source,
                                            java.lang.StringBuffer target)

  Normalizes text according to the chosen form, replacing contents of the target buffer.

  Parameters:
    `source` - the original text, unnormalized
    `target` - the resulting normalized text

### normalize

    public java.lang.CharSequence normalize(java.lang.CharSequence source)

  Normalizes text according to the chosen form

  Parameters:
    `source` - the original text, unnormalized
  Returns:
    target the resulting normalized text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD